# [注意] この設定はあくまで書き方の例です。
#        そのまま使用しても動作はしますが、あまりおすすめしません。
#        なるべくplum-default.confを使用するようにして下さい。

plum.kanji: jis,euc
plum.nick: plum,plum_,plum_j,plum_d,[plum]
# plum.user: plum
plum.name: ぷらむ
plum.server: irc.karrn.ad.jp:6660,6661,6662,6663,6664,6665,6666,6668,6669
plum.server: irc.rcac.tdi.co.jp:6660,6661,6662,6663,6664,6665,6666,6668,6669
plum.server: irc.kyoto.wide.ad.jp:6660,6661,6662,6663,6664,6665,6666,6668,6669
plum.server: irc.tokyo.wide.ad.jp:6660,6661,6662,6663,6664,6665,6666,6668,6669
plum.server: irc.karrn.ad.jp:6667
plum.server: irc.rcac.tdi.co.jp:6667
plum.server: irc.kyoto.wide.ad.jp:6667
plum.server: irc.tokyo.wide.ad.jp:6667
plum.server: irc.dti.ne.jp:6667
plum.server: irc.race.u-tokyo.ac.jp:6667
plum.server: irc.huie.hokudai.ac.jp:6667
plum.server: irc.tohoku.ac.jp:6667
plum.client: *:16667 password
# plum.directory: 

+ auto/alias.plm
auto.alias.file: alias.txt;jis
auto.alias.readonly: level
auto.alias.invisible: level
auto.alias.private: realname,tel
auto.alias.scalar: realname
auto.alias.get: ぷらむエイリアス
auto.alias.get: ぷらむえいりあす
auto.alias.get: ぷらむエイリアス教えて
auto.alias.get: ぷらむエイリアスおしえて
auto.alias.get: ぷらむえいりあすおしえて
auto.alias.add: ぷらむエイリアス追加
auto.alias.add: ぷらむエイリアスついか
auto.alias.add: ぷらむえいりあすついか
auto.alias.remove: ぷらむエイリアス削除
auto.alias.remove: ぷらむエイリアスさくじょ
auto.alias.remove: ぷらむえいりあすさくじょ
auto.alias.change: ぷらむエイリアス変更
auto.alias.change: ぷらむエイリアスへんこう
auto.alias.change: ぷらむえいりあすへんこう

+ auto/answer.plm
auto.answer.alias: alias.txt
auto.answer.reply: ぷらむバージョン #(name|nick|nick.now): PLUM OS 1.00
auto.answer.reply: ぷらむへルプ ぷらむにはこんな機能があります
auto.answer.reply: ぷらむへルプ エイリアスの設定/変更
auto.answer.reply: ぷらむへルプ ・ぷらむエイリアス
auto.answer.reply: ぷらむへルプ ・ぷらむエイリアス追加 フィールド データ
auto.answer.reply: ぷらむへルプ ・ぷらむエイリアス削除 フィールド データ
auto.answer.reply: ぷらむへルプ ・ぷらむエイリアス変更 フィールド 旧データ 新データ
auto.answer.reply: ぷらむへルプ おみくじをひく
auto.answer.reply: ぷらむへルプ ・ぷらむおみくじ
auto.answer.reply: ぷらむへルプ 伝言
auto.answer.reply: ぷらむへルプ ・ぷらむ伝言 ニックネーム 伝言内容
auto.answer.reply: ぷらむへルプ ・ぷらむ伝言教えて
auto.answer.reply: ぷらむへルプ 小包
auto.answer.reply: ぷらむへルプ ・ぷらむ小包 ニックネーム コメント
auto.answer.reply: ぷらむへルプ ・ぷらむ小包送って
auto.answer.reply: ぷらむへルプ なると配り
auto.answer.reply: ぷらむへルプ ・ぷらむなると

+ auto/cache.plm
auto.cache.size: 5
auto.cache.expire: 300
auto.cache.clear: ぷらむきゃっしゅくりあ

+ auto/message.plm
auto.message.file: message.txt;jis
auto.message.alias: alias.txt;jis,euc
auto.message.get: ぷらむ伝言教えて
auto.message.send: ぷらむ伝言
auto.message.check: ぷらむ伝言ある?
auto.message.date: %Y:%m:%d %H:%M:%S
auto.message.format: #(name|nick|nick.now): #(from.name|from.nick|from.nick.now)さんから「#(message)」(#(date))
auto.message.accept: #(name|nick|nick.now): #(to.name|to)さんへの伝言を承りました
auto.message.unknown: #(name|nick|nick.now): 宛先がわかりません
auto.message.receive: #(number)個の伝言が届いています
auto.message.nothing: #(name|nick|nick.now): 伝言は届いていません
auto.message.exists: #(name|nick|nick.now): #(number)個の伝言が届いています

- auto/nako.plm
# auto.nako.sysfile: .nako.sys
# auto.nako.msgfile: .nako.msg

+ auto/oper.plm
auto.oper.alias: alias.txt
auto.oper.request: ぷらむなると
auto.oper.mask: +*!*@* #ぷらむ:*.jp
auto.oper.mask: +*!*@*.jp #ぷらむ
auto.oper.message: #(name|nick|nick.now): はい
auto.oper.deny: #(name|nick|nick.now): なるとはあげられません
auto.oper.oper: #(name|nick|nick.now): もうなるとを持っています
auto.oper.notoper: #(name|nick|nick.now): なるとがありません
auto.oper.private: チャンネルで言って下さい
auto.oper.out: チャンネルに入って下さい

+ auto/package.plm
auto.package.file: package.txt;jis
auto.package.directory: ~/package
auto.package.alias: alias.txt;jis,euc
auto.package.get: ぷらむ小包送って
auto.package.send: ぷらむ小包
auto.package.check: ぷらむ小包ある?
auto.package.date: %Y年%m月%d日%H時%M分%S秒
auto.package.format: #(name|nick|nick.now): #(from.name|from.nick|from.nick.now)さんから「#(message)」(#(date))
auto.package.accept: #(to.name|to)さんへの小包を承りました
auto.package.receive: 小包が届いています
auto.package.norequest: #(name|nick|nick.now): DCCリクエストが来ていません
auto.package.unknown: #(name|nick|nick.now): 宛先がわかりません
auto.package.nothing: #(name|nick|nick.now): 小包は届いていません
auto.package.exists: #(name|nick|nick.now): #(number)個の小包が届いています
auto.package.geterror: #(name|nick|nick.now): #(file)の送信中にエラーが発生しました
auto.package.senderror: #(name|nick|nick.now): #(file)の受信中にエラーが発生しました

+ auto/random.plm
auto.random.file: random.txt;jis
auto.random.alias: alias.txt;jis,euc
auto.random.request: ぷらむおみくじ
auto.random.format: #(name|nick|nick.now)さんの運勢は#(message)です
auto.random.rate: 100
auto.random.add: ぷらむおみくじ追加
auto.random.add: ぷらむおみくじついか
auto.random.remove: ぷらむおみくじ削除
auto.random.remove: ぷらむおみくじさくじょ

+ auto/reply.plm
auto.reply.file: reply.txt;jis
auto.reply.alias: alias.txt;jis,euc
auto.reply.format: #(message)
auto.reply.rate: 100
auto.reply.add: ぷらむ反応追加
auto.reply.remove: ぷらむ反応削除
auto.reply.change: ぷらむ反応変更

+ auto/response.plm
auto.response.file: response.txt;sjis,jis
auto.response.alias: alias.txt;jis,euc
auto.response.format: #(message)

- auto/yuurii.plm
# auto.yuurii.cache: 100
# auto.yuurii.pluginrc: .pluginrc
# auto.yuurii.plugindir: plugin
# auto.yuurii.down: 48
# auto.yuurii.downmes: 再起動します
# auto.yuurii.timer: 2000
# auto.yuurii.usetimer: 1
# auto.yuurii.mode: 0644
# auto.yuurii.header: %H%M%S
# auto.yuurii.debug: debug%m%d.log

+ channel/alias.plm

- channel/filter.plm

+ channel/join/connect.plm
channel.join.connect.channel: #ぷらむ,%ぷらむ
channel.join.connect.channel: #plum:*.jp,%まどか

+ channel/join/invite.plm
channel.join.invite.mask: +*!*@*.jp %ぷらむ,#plum:*.jp

+ channel/join/kick.plm
channel.join.kick.mask: +*!*@*

+ channel/mode/oper/get.plm

+ channel/mode/oper/set.plm
channel.mode.oper.set.delay: 100
channel.mode.oper.set.mask: +plum*!*plum@*.plum.org
channel.mode.oper.set.mask: +*!*@* #ぷらむ:*.jp
channel.mode.oper.set.mask: +*!*@*.jp #ぷらむ

+ channel/mode/set.plm
channel.mode.set.mode: #ぷらむ:*.jp +tn
channel.mode.set.mode: #plum:*.jp +n

+ client/kanji.plm
client.kanji.input: jis,euc
client.kanji.output: jis

+ ctcp/clientinfo.plm

+ ctcp/comment.plm

- ctcp/dcc/cancel.plm

+ ctcp/dcc/client.plm

- ctcp/dcc/forward.plm
# ctcp.dcc.forward.nick: plumowner,plumaster

- ctcp/dcc/gate.plm
# ctcp.dcc.gate.mask: +*!*@*.ac.jp
# ctcp.dcc.gate.mask: -*!*@*
# ctcp.dcc.gate.known: plum!plum@agusa.nuie.nagoya-u.ac.jp plum,plum_j,plum_d

- ctcp/dcc/get.plm
ctcp.dcc.get.directory: ~/dcc
ctcp.dcc.get.mask: +*!*@*.jp
ctcp.dcc.get.mode: 0600

- ctcp/dcc/http.plm
# ctcp.dcc.http.proxy: 
# ctcp.dcc.http.gateway: 
# ctcp.dcc.http.mask: 

+ ctcp/dcc/nat.plm
ctcp.dcc.nat.mapping: 192.168.2.2 192.168.1.1
ctcp.dcc.nat.private: 10.0.0.0 10.255.255.255

+ ctcp/dcc/send.plm

+ ctcp/echo.plm

+ ctcp/finger.plm

+ ctcp/part.plm
ctcp.part.mask: +*!*@*.jp #ぷらむ
ctcp.part.mask: +*!*@* #ぷらむ:*.jp
ctcp.part.mask: +*!*@*.jp

+ ctcp/ping.plm

+ ctcp/time.plm

+ ctcp/userinfo.plm
ctcp.userinfo.info: ぷらむのサンプルです

+ ctcp/version.plm

+ log/channel.plm
log.channel.directory: ~/log
log.channel.file: plum-jp/%Y%m%d.log;jis #ぷらむ:*.jp
log.channel.file: plum/%-1O%Y%m%d.log;euc #ぷらむ
log.channel.file: other/%Y%m%d.log
log.channel.header: %H:%M:%S
log.channel.mode: 0600
log.channel.command: privmsg,join,part,notice,kick,quit,nick,invite,mode,topic

- log/client.plm
log.client.directory: ~/log
log.client.file: client/%Y%m%d.log
log.client.header: %H:%M:%S
log.client.mode: 0600

- log/daily.plm
log.daily.directory: ~/log
log.daily.file: all/%Y%m%d.log;jis
log.daily.header: %M:%S
log.daily.mode: 0644
log.daily.command: privmsg,notice

- log/error.plm

- log/mail.plm
log.mail.from: plum@plum.gr.jp
log.mail.smtpserver: mail.plum.gr.jp
log.mail.file: plum/%+8O%Y%m%d.log;euc plum@plum.gr.jp

+ log/recent.plm
log.recent.header: %M:%S
log.recent.line: 100
log.recent.command: privmsg,notice,topic

- log/server.plm
# log.server.directory: ~/log
# log.server.file: server/%Y%m%d.log
# log.server.header: %H:%M:%S
# log.server.mode: 0644

+ server/info.plm

- server/kanji.plm
server.kanji.input: euc,jis
server.kanji.output: jis

+ server/timeout.plm
server.timeout.limit: 3600

- sys/background.plm

- sys/conf/load.plm

+ sys/conf/update.plm

- sys/dump.plm

+ sys/module/update.plm

- sys/multicast.plm

+ sys/show.plm

- sys/timer.plm
# sys.timer.exec: 

+ sys/web.plm
sys.web.method: post
sys.web.client: *.jp:8888 username:password
sys.web.header: %H:%M
sys.web.line: 100
sys.web.kanji: jis,sjis

+ user/away/client.plm
user.away.client.set: いないです

+ user/away/nick.plm
user.away.nick.set: plum_Zzz 睡眠中
user.away.nick.set: plum_eat 食事中
user.away.nick.set: plum_work 仕事中

+ user/idle.plm

+ user/ignore.plm
user.ignore.mask: -*!*@* #ぷらむ:*.jp,%まどか
user.ignore.mask: -*!*@*.jp #ぷらむ
user.ignore.mask: +*!*@* #ぷらむ
user.ignore.command: privmsg

+ user/mode/set.plm
user.mode.set.mode: +i

+ user/nick/client.plm
user.nick.client.stay: plum,plum_j,plum_iru
user.nick.client.away: plum_Zzz,plum_d,plum_away,plum_inai

